Bug 10376 - Multiple Linux Vendor Domain Socket Denial of Service Vulnerability
Multiple Linux Vendor Domain Socket Denial of Service Vulnerability
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Miller
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-03-27 17:13 EST by smedina
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 22:03:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description smedina 2000-03-27 17:13:12 EST
Multiple Linux Vendor Domain Socket Denial of Service Vulnerability
bugtraq id 1072 class Failure to Handle Exceptional Conditions cve GENERIC-
MAP-NOMATCH remote No local Yes published March 23, 2000 updated March 27,
2000 vulnerable Linux kernel 2.3.99-pre2
Linux kernel 2.2.14
Linux kernel 2.2.12
RedHat Linux 6.2
RedHat Linux 6.1 sparc
RedHat Linux 6.1 i386
RedHat Linux 6.1 alpha


A denial of service exists in Linux kernels, as related to Unix domain
sockets ignoring limits as set in /proc/sys/net/core/wmem_max. By creating
successive Unix domain sockets, it is possible to cause a denial of
service in some versions of the Linux kernel. Versions 2.2.12, 2.2.14, and
2.3.99-pre2 have all been confirmed as being vulnerable. Previous kernel
versions are most likely vulnerable
Comment 1 Cristian Gafton 2000-05-22 11:40:59 EDT
assigned to dledford
Comment 2 Alan Cox 2002-12-15 22:03:37 EST
Long ago fixed, someone forgot to zap the bug

Note You need to log in before you can comment on or make changes to this bug.